QGIS Application - Bug report #16217
fromWkt should accept any whitespace
2017-02-21 02:46 PM - Mike Taves

Status: Closed

Priority: Normal

Assignee:

Category: Unknown

Affected QGIS version:2.18.3 Regression?: No
Operating System: Windows Easy fix?: No
Pull Request or Patch supplied: Resolution:

Crashes QGIS or corrupls data: Copied to github as #: 24127
Description

This bug was discovered with the QuickWKT plug-in with copy/paste from Excel, which uses tabs delimiters when pasting into a text
window. For example, "POINT (180398 5459331)", where the whitespace in between the two values is a tab character, is considered by
the QGIS WKT parser as invalid (it is not).

From a QGIS Python console:

# With space, there are no problems

geom = QgsGeometry.fromWkt("POINT (180398 5459331)")
print(geom is not None) # True

# With tab, it does not read the WKT

geom = QgsGeometry.fromWkt("POINT (180398\\t5459331)")
print(geom is not None) # False

Most other WKT parsers (PostGIS, GEOS, etc.) are more relaxed, and handle any whitespace without issue

(E.g. "SELECT ST_ASEWKT(E'SRID = 123;\
\
POINT\

(1\t\

3)'::geometry);" works)

Associated revisions

Revision b29a8d0c - 2017-02-23 02:02 AM - Nyall Dawson

Accept any whitespace delimiters when parsing WKT (fix #16217)

Revision 5bbdb1f1 - 2017-02-23 02:26 AM - Nyall Dawson

Merge pull request #4178 from nyalldawson/fix_16217

Accept any whitespace delimiters when parsing WKT (fix #16217)

History

#1 - 2017-02-22 05:20 PM - Nyall Dawson

2025-04-27 12



https://github.com/elpaso/quickwkt/blob/master/QuickWKT.py#L240

- Status changed from Open to Closed

Fixed in changeset commit:"5bbdb1f1c3d07391040b11e7be3b08fe8def0d4c".

#2 - 2017-09-22 09:53 AM - Jiirgen Fischer
- Category set to Unknown
